version: '2'

services:
  gds-mongo:
    container_name: gds-mongo
    image: "mongo" 
    restart: always
    ports:
      - 27017:27017
    volumes:
      - ./mongo/data:/data/db

  gds-api:
    image: registry.gitlab.com/ins_colombia/guardianes/gds-api:latest
    restart: always
    container_name: gds-api
    ports:
      - 80:3000
    depends_on:
      - gds-mongo
    networks:
      - default
      - gdsapi_default
    environment:
      - MONGO_HOST=gds-mongo
      - MONGO_PORT=27017
      - GDS_ENV=prod

networks:
  gdsapi_default:
    external: true
